config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
    # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/X11/Xwrapper.config.new
( cd usr/bin ; rm -rf X )
( cd usr/bin ; ln -sf Xorg X )
( cd usr/lib64 ; rm -rf modules )
( cd usr/lib64 ; ln -sf xorg/modules modules )
